Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache.change
Class NodeAdded

    java.lang.Object
      org.modeshape.jcr.cache.change.Change
          org.modeshape.jcr.cache.change.AbstractNodeChange
              org.modeshape.jcr.cache.change.NodeAdded

    public class NodeAdded

extends AbstractNodeChange

Field Summary

Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange
`path`

Constructor Summary
`NodeAdded(NodeKey key, NodeKey parentKey, Path path, Map<Name,Property> properties)`

Method Summary
`NodeKey` | `getParentKey()` Get the key for the parent under which the new node was added.
`Map<Name,Property>` | `getProperties()` Get the immutable map of properties that were added as part of this node.
`String` | `toString()`

Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange
`getKey, getPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeAdded

    public NodeAdded(NodeKey key,
                     NodeKey parentKey,
                     Path path,
                     Map<Name,Property> properties)

Method Detail

### getParentKey

    public NodeKey getParentKey()

  Get the key for the parent under which the new node was added.

  Returns:
    the key for the parent; never null

### getProperties

    public Map<Name,Property> getProperties()

  Get the immutable map of properties that were added as part of this node.

  Returns:
    the properties keyed by their name; never null but possibly empty

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.